Subject: Re: bug#6018: 23.1.96; doc of version(-list)*

From: Stefan Monnier <[email-masked]>
Date: Sat, 16 Jul 2011 14:42:14 -0400

> The doc string of `version-regexp-alist' refers to the `version-list-*'
> functions, saying to consult their doc, so they cannot be said be "internal".

"internal" means you shouldn't call them or rely on their existence.
It doesn't mean "we want to hide them as much as possible".

But just like the code of version-<foo> can call those internal
functions, their docstrings can refer to those internal functions's
docstrings (as long as those references are kept uptodate when the
internal functions change, of course).

        Stefan